/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v7.0.29,
* Autoprefixer: v9.7.6
* Browsers: last 4 version
*/

* {
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

body {
  color: white;
}

/* ===================================
    Google font
====================================== */
@import url("https://fonts.googleapis.com/css?family=Open+Sans:200,300,400,600,700,800");

@import url("https://fonts.googleapis.com/css?family=Raleway:100,200,400,500,600,700");

body {
  font-size: 18px;
  font-family: Verdana, Arial, sans-serif;
}

p {
  font-weight: 200;
}

/* end font style */

.container {
  height: 100vh;
  display: -ms-grid;
  display: grid;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}

.grid-container {
  height: 100%;
  background-color: #363636;
  padding: 60px 35px;
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 60% 40%;
  grid-template-columns: 60% 40%;
  -ms-grid-rows: auto auto;
  grid-template-rows: auto auto;
  background-image: url("../img/fondomision.png");
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
}

.grid-container > *:nth-child(1) {
  grid-row: 1;
  grid-column: 1;
  display: grid;
}

.grid-container > *:nth-child(2) {
  grid-row: 1 / 3;
  grid-column: 2;
}

.grid-container > *:nth-child(3) {
  grid-row: 2;
  grid-column: 1;
}

.grid-container > *:nth-child(4) {
  grid-row: 2;
  grid-column: 2;
}

.text-content header {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}

.text-content header img {
  max-width: 350px;
  padding-right: 15px;
  border-right: 2px solid white;
}

.text-content header p {
  margin-left: 32px;
}

.content-links {
  margin-top: 60px;
  margin-bottom: 50px;
  margin-left: 20px;
  align-self: flex-end;
}

.text-content .links-section {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 15px;
}

/* text header */
.text-content .text-desktop::before {
  white-space: pre;
}

.text-content .text-desktop {
  margin-top: 5px;
  display: inline-block;
}

.text-content header p span::first-letter {
  text-transform: uppercase;
}
/* text header */

.links-section a img {
  margin-top: 5px;
  width: 252px;
  padding: 5px 15px;
}

.links-farm img {
  width: 280px !important;
}

.links-agro {
  border: 2px solid rgb(5, 163, 5);
}

.links-farm {
  border: 2px solid rgb(12, 12, 241);
}

.links-section a {
  border-radius: 15px;
}

.content-links > p {
  margin-bottom: 30px;
}

.video-ingeman {
  grid-row: 1;
  -ms-grid-row-span: 2;
  grid-column: 2;
  -ms-grid-column-span: 1;
  grid-area: 1 / 2 / 3 / 3;
  display: -ms-grid;
  display: grid;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}

.container-video {
  position: relative;
  overflow: hidden;
  width: 420px;
  height: 420px;
  border-radius: 50%;
}

.video-ingeman video {
  max-width: 831px;
  position: relative;
  left: calc(50% - 417px);
  top: calc(50% - 233px);
}

.grid-container > footer {
  align-self: flex-end;
}

.grid-container > footer p {
  margin-left: 20px;
}

@media screen and (max-width: 920px) {
  .container {
    background-color: #363636;
    text-align: center;
  }

  .grid-container {
    height: unset;
    display: block;
  }

  .text-content > header {
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    border-right: 0;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
  }

  .text-content > header img {
    border-right: none;
  }

  .text-content > header p {
    margin: 0;
  }

  /* text header */

  .text-content .text-desktop {
    display: unset;
  }

  .text-content header p span::first-letter {
    text-transform: unset;
  }
  /* text header */

  .content-links .links-section {
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
  }

  .links-section a img {
    padding: 5px 0px;
    width: 190px;
  }

  .links-farm img {
    width: 218px !important;
  }

  .content-links > p {
    text-align: center;
  }

  .grid-container > footer {
    grid-area: unset;
  }

  .grid-container > footer p {
    text-align: center;
  }

  .content-links {
    margin-bottom: 15px;
    margin-left: unset;
  }

  .container-video {
    width: 360px;
    height: 400px;
  }

  .video-ingeman video {
    max-width: 720px;
    left: calc(50% - 360px);
    top: calc(50% - 190px);
  }
}

@media screen and (max-width: 484px) {
  .grid-container {
    padding: 20px;
  }

  .links-section {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
  }

  .video-ingeman video {
    max-width: 574px;
    left: calc(50% - 291px);
    top: calc(50% - 167px);
  }

  .container-video {
    width: 280px;
    height: 280px;
  }
}

@media screen and (max-width: 338px) {
  .video-ingeman video {
    max-width: 392px;
    position: relative;
    left: calc(50% - 197px);
    top: calc(50% - 111px);
  }

  .container-video {
    width: 204px;
    height: 204px;
  }
}
